edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter

## Class SentenceSplitterIteratorFactory

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.sentencesplitter.SentenceSplitterIteratorFactory

-     public class SentenceSplitterIteratorFactory
      extends java.lang.Object

  SentenceSplitterIterator factory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SentenceSplitterIteratorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SentenceSplitterIterator` | `newSentenceSplitterIterator()` Get a sentence splitter iterator.
    `static SentenceSplitterIterator` | `newSentenceSplitterIterator(java.lang.String className)` Get a sentence splitter iterator of a specified class name.
    `static SentenceSplitterIterator` | `newSentenceSplitterIterator(UTF8Properties properties)` Get a sentence splitter iterator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SentenceSplitterIteratorFactory

          public SentenceSplitterIteratorFactory()

  - ### Method Detail

    - #### newSentenceSplitterIterator

          public static SentenceSplitterIterator newSentenceSplitterIterator()

      Get a sentence splitter iterator.
      Returns:
        The sentenceSplitterIterator.

    - #### newSentenceSplitterIterator

          public static SentenceSplitterIterator newSentenceSplitterIterator(UTF8Properties properties)

      Get a sentence splitter iterator.
      Parameters:
        `properties` - MorphAdorner properties.
      Returns:
        The sentenceSplitterIterator.

    - #### newSentenceSplitterIterator

          public static SentenceSplitterIterator newSentenceSplitterIterator(java.lang.String className)

      Get a sentence splitter iterator of a specified class name.
      Parameters:
        `className` - Class name for the sentence splitter iterator.
      Returns:
        The sentence splitter iterator.